# PSF-LoginServer - master - net.psforever.objects.serverobject.mount.MountableSpace
PSF - LoginServer - master - net.psforever.objects.serverobject.mount.MountableSpace
Keywords: PSF LoginServer master net.psforever.objects.serverobject.mount.MountableSpace

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package mount
  Definition Classes
    serverobject
- LargeCargo
- MaxOnly
- MountInfo
- MountRestriction
- Mountable
- MountableBehavior
- MountableDefinition
- MountableSpace
- MountableSpaceDefinition
- NoMax
- NoReinforcedOrMax
- Seat
- SeatDefinition
- SmallCargo
- Unrestricted

t

net.psforever.objects.serverobject.mount

# MountableSpace

###

#### trait MountableSpace[A] extends AnyRef

Source
  MountableSpace.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
Seat, Cargo

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MountableSpace
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def definition: MountableSpaceDefinition[A]

   The information that establishes the underlying characteristics of this mountable space.

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def bailable: Boolean

   Does this mountable space count as being "bailable", a condition whereupon it can be unmounted under duress? The conditions of the duress do not matter at the moment; this is only a test of possibility.

6.  def canBeOccupied: Boolean

   Can something be mounted? Use this method as a test for "availability".

7.  def canBeOccupiedBy(target: A): Boolean

   Is this specific entity allowed to be mounted in this space? Utiltizes restriction tests, but not "availability" tests.

   Is this specific entity allowed to be mounted in this space? Utiltizes restriction tests, but not "availability" tests.

   See also

     `MountableDefinition[A].restriction`

8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  def isOccupied: Boolean

    Is anything be seated? Do not use this method as a test for "availability".

16.  def isOccupiedBy(target: A): Boolean

    Is this specific entity currently mounted?

17.  def mount(target: Option[A]): Option[A]

    Attempt to mount the target entity in this space.

18.  def mount(target: A): Option[A]

    Attempt to mount the target entity in this space.

19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  def occupant: Option[A]

    A single mounted entity.

    A single mounted entity.

    returns

      one mounted entity at most, or `None`

23.  def occupants: List[A]

    A collection of any mounted entity.

    A collection of any mounted entity. Useful for compiling all seated users using `flatMap`.

    returns

      all mounted entities

24.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
25.  def testToMount(target: A): Boolean

    Tests whether the target is allowed to be mounted.

    Tests whether the target is allowed to be mounted.

    Attributes
      protected
    See also

      `MountableSpace[A].canBeOccupiedBy(A)`

26.  def testToUnmount(target: A): Boolean

    Tests whether the target is capable of being unmounted from this place.

    Tests whether the target is capable of being unmounted from this place.

    Attributes
      protected
    See also

      `MountableSpace[A].isOccupiedBy(A)`

27.  def toString(): String
    Definition Classes
      AnyRef → Any
28.  def unmount(target: Option[A]): Option[A]

    Attempt to dismount the target entity from this space.

29.  def unmount(target: A): Option[A]

    Attempt to dismount the target entity from this space.

30.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
31.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
32.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped